- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.resourceValueConfigs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.resourceValueConfigs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.resourceValueConfigs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.resourceValueConfigs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.resourceValueConfigs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.resourceValueConfigs/list#body.ListResourceValueConfigsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.resourceValueConfigs/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.resourceValueConfigs/list#try-it)

Lists all ResourceValueConfigs.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `parent` field:

- `securitycenter.resourcevalueconfigs.list`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`GET https://securitycenter.googleapis.com/v1/{parent=organizations/*}/resourceValueConfigs`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns the collection of resource value configs. Its format is `organizations/[organizationId]` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The number of results to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `resourceValueConfigs.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `resourceValueConfigs.list` must match the call that provided the page token. pageSize can be specified, and the new pageSize will be used. |

### Request body

The request body must be empty.

### Response body

Response message to list resource value configs

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resourceValueConfigs": [ { object (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.resourceValueConfigs#ResourceValueConfig`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `resourceValueConfigs[]` | ``object (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.resourceValueConfigs#ResourceValueConfig`)`` The resource value configs from the specified parent. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is empty, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).